/*------------------------------------------------------------------------ 
BOTONES //////////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/
/* -------------------------------------------------
------------------------------------------ BASE ---
--------------------------------------------------*/
.button,
.button + label,
ul.add-button li > a,
ul.add-button li > span,
ul.add-button li > input[type=submit] + label,
ul.add-button li > input[type=button] + label,
ul.add-button li > input[type=file] + label,
ul.add-button li > input[type=checkbox] + label,
ul.add-button li > input[type=radio] + label,
ul.add-button li > button,
.tag,
ul.add-tag li > *:not(a, p, input, button){
	align-items:center;
	border:0px;
	cursor: pointer;
	display:inline-flex;
	flex-direction:row;
	height:42px;
	justify-content:center;
	margin:0px;
	min-width:42px;
	outline:0;
	padding:0px;
	position:relative;
	text-decoration:none;
	text-transform:uppercase;
	transition:all 0.12s;
	width:auto;
	}

.tag,
ul.add-tag li > *:not(a, p, input, button){
	cursor:inherit!important;
	}



.button > span,
.button + label > span,
ul.add-button li > a > span,
ul.add-button li > span > span,
ul.add-button li > input[type=submit] + label > span,
ul.add-button li > input[type=button] + label > span,
ul.add-button li > input[type=file] + label > span,
ul.add-button li > input[type=checkbox] + label > span,
ul.add-button li > input[type=radio] + label > span,
ul.add-button li > button > span,
.tag > span,
ul.add-tag li > *:not(a, p, input, button) > span {
	align-items:center;
	align-content:center;
	display:flex;
	flex-flow:row wrap;
	font-size:var(--fs-medium);
	font-weight:var(--fw-normal);
	gap:4px;
	line-height:1.2em;
	letter-spacing:1px;
	padding:0px 18px;
	}



.button > span > .svg-icon,
.button + label > span > .svg-icon,
ul.add-button li > a > span > .svg-icon,
ul.add-button li > span > span > .svg-icon,
ul.add-button li > input[type=submit] + label > span > .svg-icon,
ul.add-button li > input[type=button] + label > span > .svg-icon,
ul.add-button li > input[type=file] + label > span > .svg-icon,
ul.add-button li > input[type=checkbox] + label > span > .svg-icon,
ul.add-button li > input[type=radio] + label > span > .svg-icon,
ul.add-button li > button > span + .svg-icon,
.tag > span > .svg-icon,
ul.add-tag li > *:not(a, p, input, button) > span > .svg-icon{
	margin-left:-9px; /* if padding span = 18 */
	}



input.button[type=submit],
input.button[type=button],
input.button[type=file],
input.button[type=checkbox],
input.button[type=radio],
ul.add-button li > input[type=submit],
ul.add-button li > input[type=button],
ul.add-button li > input[type=file],
ul.add-button li > input[type=checkbox],
ul.add-button li > input[type=radio]{
	display:none;
	visibility: hidden;
	}



/* Icons
------------------------------*/
.button .svg-icon,
.button + label .svg-icon,
ul.add-button .svg-icon,
.tag .svg-icon,
ul.add-tag .svg-icon {
	height:42px;
	margin:0px;
	padding:8px;
	width:42px;
	}




/* + Rounded
------------------------------*/
.button.rounded,
.button.rounded + label,
ul.add-button.rounded li > a,
ul.add-button.rounded li > span,
ul.add-button.rounded li > input[type=submit] + label,
ul.add-button.rounded li > input[type=button] + label,
ul.add-button.rounded li > input[type=file] + label,
ul.add-button.rounded li > input[type=checkbox] + label,
ul.add-button.rounded li > input[type=radio] + label,
ul.add-button.rounded li > button,
.tag.rounded,
ul.add-tag.rounded li > *:not(a, p, input, button) {
	border-radius:23px;
	}



/* -------------------------------------
+++  MEDIUM  /////////////////////////
-------------------------------------*/
.button.medium,
.button.medium + label,
ul.add-button.medium li > a,
ul.add-button.medium li > span,
ul.add-button.medium li > input[type=submit] + label,
ul.add-button.medium li > input[type=button] + label,
ul.add-button.medium li > input[type=file] + label,
ul.add-button.medium li > input[type=checkbox] + label,
ul.add-button.medium li > input[type=radio] + label,
ul.add-button.medium li > button,
.tag.medium,
ul.add-tag.medium li > *:not(a, p, input, button){
	height:32px;
	min-width:32px;
	}


.button.medium > span,
.button.medium + label > span,
ul.add-button.medium li > a > span,
ul.add-button.medium li > span > span,
ul.add-button.medium li > input[type=submit] + label > span,
ul.add-button.medium li > input[type=button] + label > span,
ul.add-button.medium li > input[type=file] + label > span,
ul.add-button.medium li > input[type=checkbox] + label > span,
ul.add-button.medium li > input[type=radio] + label > span,
ul.add-button.medium li > button > span,
.tag.medium > span,
ul.add-tag.medium li > *:not(a, p, input, button) > span{
	padding:0px 12px;
	}


.button.medium > span > .svg-icon,
.button.medium + label > span > .svg-icon,
ul.add-button.medium li > a > span > .svg-icon,
ul.add-button.medium li > span > span > .svg-icon,
ul.add-button.medium li > input[type=submit] + label > span > .svg-icon,
ul.add-button.medium li > input[type=button] + label > span > .svg-icon,
ul.add-button.medium li > input[type=file] + label > span > .svg-icon,
ul.add-button.medium li > input[type=checkbox] + label > span > .svg-icon,
ul.add-button.medium li > input[type=radio] + label > span > .svg-icon,
ul.add-button.medium li > button > span + .svg-icon,
.tag.medium > span > .svg-icon,
ul.add-tag.medium li > *:not(a, p, input, button) > span > .svg-icon{
	margin-left:-6px; /* if padding span = 12 */
	}



/* Icons
------------------------------*/
.button.medium .svg-icon,
.button.medium + label .svg-icon,
ul.add-button.medium .svg-icon,
.tag.medium .svg-icon,
ul.add-tag.medium .svg-icon {
	height:32px;
	padding:6px;
	width:32px;
	}

/* + Rounded
------------------------------*/
.button.medium.rounded,
.button.medium.rounded + label,
ul.add-button.medium.rounded li > a,
ul.add-button.medium.rounded li > span,
ul.add-button.medium.rounded li > input[type=submit] + label,
ul.add-button.medium.rounded li > input[type=button] + label,
ul.add-button.medium.rounded li > input[type=file] + label,
ul.add-button.medium.rounded li > input[type=checkbox] + label,
ul.add-button.medium.rounded li > input[type=radio] + label,
ul.add-button.medium.rounded li > button,
.tag.medium.rounded,
ul.add-tag.medium.rounded li > *:not(a, p, input, button){
	border-radius:16px;
	}





/* -------------------------------------
+++  SMALL  ///////////////////////////
-------------------------------------*/
.button.small,
.button.small + label,
ul.add-button.small li > a,
ul.add-button.small li > span,
ul.add-button.small li > input[type=submit] + label,
ul.add-button.small li > input[type=button] + label,
ul.add-button.small li > input[type=file] + label,
ul.add-button.small li > input[type=checkbox] + label,
ul.add-button.small li > input[type=radio] + label,
ul.add-button.small li > button,
.tag.small,
ul.add-tag.small li > *:not(a, p, input, button){
	height:22px;
	min-width:22px;
	}


.button.small > span,
.button.small + label > span,
ul.add-button.small li > a > span,
ul.add-button.small li > span > span,
ul.add-button.small li > input[type=submit] + label > span,
ul.add-button.small li > input[type=button] + label > span,
ul.add-button.small li > input[type=file] + label > span,
ul.add-button.small li > input[type=checkbox] + label > span,
ul.add-button.small li > input[type=radio] + label > span,
ul.add-button.small li > button > span,
.tag.small > span,
ul.add-tag.small li > *:not(a, p, input, button) > span{
	font-size:0.6rem;
	letter-spacing:inherit;
	padding:0px 10px;
	}


.button.small > span > .svg-icon,
.button.small + label > span > .svg-icon,
ul.add-button.small li > a > span > .svg-icon,
ul.add-button.small li > span > span > .svg-icon,
ul.add-button.small li > input[type=submit] + label > span > .svg-icon,
ul.add-button.small li > input[type=button] + label > span > .svg-icon,
ul.add-button.small li > input[type=file] + label > span > .svg-icon,
ul.add-button.small li > input[type=checkbox] + label > span > .svg-icon,
ul.add-button.small li > input[type=radio] + label > span > .svg-icon,
ul.add-button.small li > button > span > .svg-icon,
.tag.small > span > .svg-icon,
ul.add-tag.small li > *:not(a, p, input, button) > span > .svg-icon{
	margin-left:-5px; /* if padding span = 10 */
	}


/* Icons
------------------------------*/
.button.small .svg-icon,
.button.small + label .svg-icon,
ul.add-button.small .svg-icon,
.tag.small .svg-icon,
ul.add-tag.small .svg-icon {
	height:22px;
	padding:2px;
	width:22px;
	}



/* + Rounded
------------------------------*/
.button.small.rounded,
.button.small.rounded + label,
ul.add-button.small.rounded li > a,
ul.add-button.small.rounded li > span,
ul.add-button.small.rounded li > input[type=submit] + label,
ul.add-button.small.rounded li > input[type=button] + label,
ul.add-button.small.rounded li > input[type=file] + label,
ul.add-button.small.rounded li > input[type=checkbox] + label,
ul.add-button.small.rounded li > input[type=radio] + label,
ul.add-button.small.rounded li > button,
.tag.small.rounded,
ul.add-tag.small.rounded li > *:not(a, p, input, button){
	border-radius:11px;
	}



/*                                       
-----------------------------------------  1600 ---
--------------------------------------------------*/
@media only screen and (max-width:1600px) {

	/* Normal
	------------------------------*/
	.button,
	.button + label,
	ul.add-button li > a,
	ul.add-button li > span,
	ul.add-button li > input[type=submit] + label,
	ul.add-button li > input[type=button] + label,
	ul.add-button li > input[type=file] + label,
	ul.add-button li > input[type=checkbox] + label,
	ul.add-button li > input[type=radio] + label,
	ul.add-button li > button,
	.tag,
	ul.add-tag li > *:not(a, p, input, button) {
	height:36px;
	min-width:36px;
	}
	.button .svg-icon,
	.button + label .svg-icon,
	ul.add-button .svg-icon,
	.tag .svg-icon,
	ul.add-tag .svg-icon  {
	height:36px;
	padding:6px;
	width:36px;
	}
	.button.rounded,
	.button.rounded + label,
	ul.add-button.rounded li > a,
	ul.add-button.rounded li > span,
	ul.add-button.rounded li > input[type=submit] + label,
	ul.add-button.rounded li > input[type=button] + label,
	ul.add-button.rounded li > input[type=file] + label,
	ul.add-button.rounded li > input[type=checkbox] + label,
	ul.add-button.rounded li > input[type=radio] + label,
	ul.add-button.rounded li > button,
	.tag.rounded,
	ul.add-tag.rounded li > *:not(a, p, input, button)  {
	border-radius:18px;
	}

	/* Medium
	------------------------------*/

	.button.medium,
	.button.medium + label,
	ul.add-button.medium li > a,
	ul.add-button.medium li > span,
	ul.add-button.medium li > input[type=submit] + label,
	ul.add-button.medium li > input[type=button] + label,
	ul.add-button.medium li > input[type=file] + label,
	ul.add-button.medium li > input[type=checkbox] + label,
	ul.add-button.medium li > input[type=radio] + label,
	ul.add-button.medium li > button,
	.tag.medium,
	ul.add-tag.medium li > *:not(a, p, input, button) {
		font-size:var(--fs-medium);
		height:28px;
		min-width:28px;
		}


	/* Icons
	------------------------------*/
	.button.medium .svg-icon,
	.button.medium + label .svg-icon,
	ul.add-button.medium .svg-icon,
	.tag.medium .svg-icon,
	ul.add-tag .svg-icon {
		height:28px;
		padding:4px;
		width:28px;
		}

	/* + Rounded
	------------------------------*/
	.button.medium.rounded,
	.button.medium.rounded + label,
	ul.add-button.medium.rounded li > a,
	ul.add-button.medium.rounded li > span,
	ul.add-button.medium.rounded li > input[type=submit] + label,
	ul.add-button.medium.rounded li > input[type=button] + label,
	ul.add-button.medium.rounded li > input[type=file] + label,
	ul.add-button.medium.rounded li > input[type=checkbox] + label,
	ul.add-button.medium.rounded li > input[type=radio] + label,
	ul.add-button.medium.rounded li > button,
	.tag.medium.rounded,
	ul.add-tag.medium.rounded li > *:not(a, p, input, button)  {
		border-radius:14px;
		}


}


/*                                       
-----------------------------------------  620 ---
--------------------------------------------------*/
@media only screen and (max-width:620px) {

	/* Normal
	------------------------------*/
	.button,
	.button + label,
	ul.add-button li > a,
	ul.add-button li > span,
	ul.add-button li > input[type=submit] + label,
	ul.add-button li > input[type=button] + label,
	ul.add-button li > input[type=file] + label,
	ul.add-button li > input[type=checkbox] + label,
	ul.add-button li > input[type=radio] + label,
	ul.add-button li > button,
	.tag.medium,
	ul.add-tag li > *:not(a, p, input, button){
	height:42px;
	min-width:42px;
	}

	.button .svg-icon,
	.button + label .svg-icon,
	ul.add-button .svg-icon,
	.tag .svg-icon,
	ul.add-tag .svg-icon {
	height:42px;
	padding:6px;
	width:42px;
	}

	.button.rounded,
	.button.rounded + label,
	ul.add-button.rounded li > a,
	ul.add-button.rounded li > span,
	ul.add-button.rounded li > input[type=submit] + label,
	ul.add-button.rounded li > input[type=button] + label,
	ul.add-button.rounded li > input[type=file] + label,
	ul.add-button.rounded li > input[type=checkbox] + label,
	ul.add-button.rounded li > input[type=radio] + label,
	ul.add-button.rounded li > button,
	.tag.rounded,
	ul.add-tag.rounded li > *:not(a, p, input, button) {
	border-radius:21px;
	}

	/* Medium
	------------------------------*/
	.button.medium,
	.button.medium + label,
	ul.add-button.medium li > a,
	ul.add-button.medium li > span,
	ul.add-button.medium li > input[type=submit] + label,
	ul.add-button.medium li > input[type=button] + label,
	ul.add-button.medium li > input[type=file] + label,
	ul.add-button.medium li > input[type=checkbox] + label,
	ul.add-button.medium li > input[type=radio] + label,
	ul.add-button.medium li > button,
	.tag.medium,
	ul.add-tag.medium li > *:not(a, p, input, button){
	height:32px;
	min-width:32px;
	}
	.button.medium .svg-icon,
	.button.medium + label .svg-icon,
	ul.add-button.medium .svg-icon,
	.tag.medium .svg-icon,
	ul.add-tag.medium .svg-icon {
	height:32px;
	padding:4px;
	width:32px;
	}
	.button.medium.rounded,
	.button.medium.rounded + label,
	ul.add-button.medium.rounded li > a,
	ul.add-button.medium.rounded li > span,
	ul.add-button.medium.rounded li > input[type=submit] + label,
	ul.add-button.medium.rounded li > input[type=button] + label,
	ul.add-button.medium.rounded li > input[type=file] + label,
	ul.add-button.medium.rounded li > input[type=checkbox] + label,
	ul.add-button.medium.rounded li > input[type=radio] + label,
	ul.add-button.medium.rounded li > button,
	.tag.medium.rounded,
	ul.add-tag.medium.rounded li > *:not(a, p, input, button) {
		border-radius:16px;
		}

	/* Small
	------------------------------*/

}




/*--------------------------------------------
BUTTON TOOLS ////////////////////////////////
-------------------------------------------*/

.button-tools,
.button-tools + label,
ul.add-button-tools li > a,
ul.add-button-tools li > span,
ul.add-button-tools li > input[type=submit] + label,
ul.add-button-tools li > input[type=button] + label,
ul.add-button-tools li > input[type=file] + label,
ul.add-button-tools li > input[type=checkbox] + label,
ul.add-button-tools li > input[type=radio] + label,
ul.add-button-tools li > button,
.tags-tools,
ul.add-tag-tools li > *:not(a, p, input, button){
	background-color:var(--color-neutro-soft);
	color:var(--color-white-60);
	}



/* +  iconos
------------------------------*/
.button-tools .svg-icon,
.button-tools + label .svg-icon,
ul.add-button-tools .svg-icon,
.tags-tools .svg-icon,
ul.add-tag-tools .svg-icon {
	fill:var(--color-white-60);
	}


/* Hover
------------------------------*/
.button-tools:hover,
.button-tools + label:hover,
ul.add-button-tools li > a:hover,
ul.add-button-tools li > span:hover,
ul.add-button-tools li > input[type=submit] + label:hover,
ul.add-button-tools li > input[type=button] + label:hover,
ul.add-button-tools li > input[type=file] + label:hover,
ul.add-button-tools li > input[type=checkbox] + label:hover,
ul.add-button-tools li > input[type=radio] + label:hover,
ul.add-button-tools li > button:hover {
	background-color:var(--color-neutro);
	color:var(--color-white);
	text-decoration: none;
	}

.button-tools:hover .svg-icon,
.button-tools + label:hover .svg-icon,
ul.add-button-tools :hover .svg-icon {
	fill:var(--color-white);
	}


/* Checked (if checbox - radio)
------------------------------*/
ul.add-button-tools li > input[type=checkbox]:checked + label,
ul.add-button-tools li > input[type=radio]:checked + label{
	background-color:var(--color-neutro-dark);
	color:var(--color-white);
	}

ul.add-button-tools li > input[type=checkbox]:checked + label .svg-icon,
ul.add-button-tools li > input[type=radio]:checked + label .svg-icon{
	fill:var(--color-white);
	}





/* + Outline
------------------------------*/
.button-tools.outline,
.button-tools.outline + label,
ul.add-button-tools.outline li > a,
ul.add-button-tools.outline li > span,
ul.add-button-tools.outline li > input[type=submit] + label,
ul.add-button-tools.outline li > input[type=button] + label,
ul.add-button-tools.outline li > input[type=file] + label,
ul.add-button-tools.outline li > input[type=checkbox] + label,
ul.add-button-tools.outline li > input[type=radio] + label,
ul.add-button-tools.outline li > button,
.tags-tools.outline,
ul.add-tag-tools.outline li > *:not(a, p, input, button) {
	background-color:transparent;
	border:1px solid var(--color-neutro);
	color:var(--color-neutro);
	}

.button-tools.outline .svg-icon,
.button-tools.outline + label .svg-icon,
ul.add-button-tools.outline  li > * .svg-icon,
.tags-tools.outline .svg-icon,
ul.add-tag-tools.outline .svg-icon {
	fill:var(--color-neutro);
	}

.button-tools.outline:hover .svg-icon,
.button-tools.outline + label:hover .svg-icon,
ul.add-button-tools.outline li > *:hover .svg-icon {
	fill:var(--color-white);
	}


.button-tools.outline:hover,
.button-tools.outline + label:hover,
ul.add-button-tools.outline li > a:hover,
ul.add-button-tools.outline li > span:hover,
ul.add-button-tools.outline li > input[type=submit] + label:hover,
ul.add-button-tools.outline li > input[type=button] + label:hover,
ul.add-button-tools.outline li > input[type=file] + label:hover,
ul.add-button-tools.outline li > input[type=checkbox] + label:hover,
ul.add-button-tools.outline li > input[type=radio] + label:hover,
ul.add-button-tools.outline li > button:hover {
	border:1px solid transparent;
	background-color:var(--color-neutro);
	color:var(--color-white-80);
	}


/* Checked (if checbox - radio)
------------------------------*/
ul.add-button-tools.outline li > input[type=checkbox]:checked + label,
ul.add-button-tools.outline li > input[type=radio]:checked + label{
	border:1px solid transparent;
	background-color:var(--color-main-dark);
	color:var(--color-white);
	}

ul.add-button-tools.outline li > input[type=checkbox]:checked + label .svg-icon,
ul.add-button-tools.outline li > input[type=radio]:checked + label .svg-icon{
	fill:var(--color-white);
	}




/*--------------------------------------------
BUTTON TAG ///////////////////////////////////
-------------------------------------------*/
.button-tags,
.button-tags + label,
ul.add-button-tags li > a,
ul.add-button-tags li > span,
ul.add-button-tags li > input[type=submit] + label,
ul.add-button-tags li > input[type=button] + label,
ul.add-button-tags li > input[type=file] + label,
ul.add-button-tags li > input[type=checkbox] + label,
ul.add-button-tags li > input[type=radio] + label,
ul.add-button-tags li > button,
.tag-tags,
ul.add-tag-tags li > *:not(a, p, input, button)  {
	background-color:var(--color-second-soft);
	color:var(--color-white-70);
	}


/*  +  iconos
------------------------------*/
.button-tags .svg-icon,
.button-tags + label .svg-icon,
ul.add-button-tags .svg-icon,
.tag-tags .svg-icon,
ul.add-tag-tags .svg-icon {
	fill:var(--color-white-70);
	}


/* Hover
------------------------------*/
.button-tags:hover,
.button-tags + label:hover,
ul.add-button-tags li > a:hover,
ul.add-button-tags li > span:hover,
ul.add-button-tags li > input[type=submit] + label:hover,
ul.add-button-tags li > input[type=button] + label:hover,
ul.add-button-tags li > input[type=file] + label:hover,
ul.add-button-tags li > input[type=checkbox] + label:hover,
ul.add-button-tags li > input[type=radio] + label:hover,
ul.add-button-tags li > button:hover {
	background-color:var(--color-second);
	text-decoration:none;
	color:var(--color-white);
	}

.button-tags:hover .svg-icon,
.button-tags + label:hover .svg-icon,
ul.add-button-tags :hover .svg-icon {
	fill:var(--color-white);
	}


/* Checked (if checbox - radio)
------------------------------*/
ul.add-button-tags li > input[type=checkbox]:checked + label,
ul.add-button-tags li > input[type=radio]:checked + label{
	background-color:var(--color-second);
	text-decoration:none;
	color:var(--color-white);
	}

ul.add-button-tags li > input[type=checkbox]:checked + label .svg-icon,
ul.add-button-tags li > input[type=radio]:checked + label .svg-icon{
	fill:var(--color-white);
	}






/*--------------------------------------------
BUTTON INLINE  ///////////////////////////////
-------------------------------------------*/
/* ////////////// SET: DISEÑO 
------------------------------*/
.button-inline,
.button-inline + label,
ul.add-button-inline li > a,
ul.add-button-inline li > span,
ul.add-button-inline li > input[type=submit] + label,
ul.add-button-inline li > input[type=button] + label,
ul.add-button-inline li > input[type=file] + label,
ul.add-button-inline li > input[type=checkbox] + label,
ul.add-button-inline li > input[type=radio] + label,
ul.add-button-inline li > button {
	background-color:transparent!important;
	border:0px;
	color:inherit;
	outline:none;
	}


/* +  iconos
------------------------------*/
.button-inline .svg-icon,
.button-inline + label .svg-icon,
.add-button-inline li > a .svg-icon,
.add-button-inline li > span .svg-icon,
.add-button-inline li > input[type=submit] + label .svg-icon,
.add-button-inline li > input[type=button] + label .svg-icon,
.add-button-inline li > input[type=file] + label .svg-icon,
.add-button-inline li > input[type=checkbox] + label .svg-icon,
.add-button-inline li > input[type=radio] + label .svg-icon,
.add-button-inline li > button .svg-icon{
	fill:inherit;
	}


/* Hover
------------------------------*/
.button-inline:hover,
.button-inline + label:hover,
.add-button-inline li > a:hover,
.add-button-inline li > span:hover,
.add-button-inline li > input[type=submit] + label:hover,
.add-button-inline li > input[type=button] + label:hover,
.add-button-inline li > input[type=file] + label:hover,
.add-button-inline li > input[type=checkbox] + label:hover,
.add-button-inline li > input[type=radio] + label:hover,
.add-button-inline li > button:hover {
	background-color:none;
	color:inherit;
	text-decoration:underline;
	}


.button-inline:hover .svg-icon,
.button-inline + label:hover .svg-icon,
.add-button-inline  li > a:hover .svg-icon,
.add-button-inline li > span:hover .svg-icon,
.add-button-inline li > input[type=submit] + label:hover .svg-icon,
.add-button-inline li > input[type=button] + label:hover .svg-icon,
.add-button-inline li > input[type=file] + label:hover .svg-icon,
.add-button-inline li > input[type=checkbox] + label:hover .svg-icon,
.add-button-inline li > input[type=radio] + label:hover .svg-icon,
.add-button-inline li > button:hover .svg-icon{
	fill:inherit;
	}



/* General
------------------------------*/
.button-inline,
.button-inline + label,
ul.add-button-inline li > a,
ul.add-button-inline li > span,
ul.add-button-inline li > input[type=submit] + label,
ul.add-button-inline li > input[type=button] + label,
ul.add-button-inline li > input[type=file] + label,
ul.add-button-inline li > input[type=checkbox] + label,
ul.add-button-inline li > input[type=radio] + label,
ul.add-button-inline li > button {
	display:inline;
	flex-direction:row;
	font-size:inherit;
	font-weight:inherit;
	height:auto;
	justify-content:flex-start;
	cursor: pointer;
	gap:6px;
	margin:0px;
	overflow:hidden;
	position:relative;
	transition:all 0.12s;
	text-decoration:underline;
	width:auto;
	}


input.button-inline[type=submit],
input.button-inline[type=button],
input.button-inline[type=file],
.add-button-inline input[type=submit],
.add-button-inline input[type=button],
.add-button-inline input[type=file],
.add-button-inline input[type=checkbox],
.add-button-inline input[type=radio] {
	display:none;
	visibility: hidden;
	}



/* +  iconos
------------------------------*/
.button-inline .svg-icon,
.button-inline + label .svg-icon,
.add-button-inline a .svg-icon,
.add-button-inline span .svg-icon,
.add-button-inline input[type=submit] + label .svg-icon,
.add-button-inline input[type=button] + label .svg-icon,
.add-button-inline input[type=file] + label .svg-icon,
.add-button-inline input[type=checkbox] + label .svg-icon,
.add-button-inline input[type=radio] + label .svg-icon,
.add-button-inline button .svg-icon {
	display:inline;
	aspect-ratio: auto 1 / 1; 
	height:16px;
	margin:0px 0px -3px 0px;
	padding:0px;
	width:16px;
	}







/*------------------------------------------------------------------------ 
MENUS ///////////////////////////////////////////////////////////////////
------------------------------------------------------------------------*/

/*--------------------------------------------
MENU  ///////////////////////////////////////
-------------------------------------------*/
ul.menu{
	align-items:center;
	display:flex;
	flex-flow:row wrap;
	justify-content:flex-start;
	gap:var(--gap-inside);
	height:auto;
	margin:0px 0px;
	padding:0px 0px;
	width:100%;
	}

ul.menu li {
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:flex-start;
	gap:var(--gap-inside);
	list-style:none;
	padding:0px;
	margin:0px;
	position:relative;
	width:auto;
	}





/*--------------------------------------------
MENU ACTIONS  ////////////////////////////////
-------------------------------------------*/
ul.menu-actions {
	align-items:center;
	align-content:center;
	display:flex;
	flex-flow:row wrap;
	justify-content:flex-start;
	gap:var(--gap-inside);
	height:auto;
	margin:0px 0px;
	padding:0px 0px;
	width:100%;
	}



ul.menu-actions li {
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:center;
	list-style:none;
	padding:0px;
	margin:0px;
	position:relative;
	width:auto;
	}


ul.menu-actions .alert {
	text-align:left;
	}



/*                                       
------------------------------------- MOVIL 620 ---
--------------------------------------------------*/
@media only screen and (max-width:620px) {

	ul.menu-actions{
	padding:0px 10vw!important;
	font-size:1rem;
	}
	ul.menu-actions li{
	width:100%!important;
	}
	ul.menu-actions li > *{
	width:100%!important;
	}
	ul.menu-actions .alert {
	width:100%;
	}
	ul.menu-actions .alert {
	text-align:center;
	}

}

/*                                       
------------------------------------------- 520 ---
--------------------------------------------------*/
@media only screen and (max-width:520px) {

	ul.menu-actions{
	padding:0px 4vw;
	}

}

/*                                       
------------------------------------------- 420 ---
--------------------------------------------------*/
@media only screen and (max-width:420px) {

	ul.menu-actions{
	padding:0px 0vw;
	}
}





/* ------------------------------------
+  ALINEACIONES  /////////////////////
-------------------------------------*/
ul.menu.center,
ul.menu-actions.center{
	justify-content:center;
	}

ul.menu.center .alert,
ul.menu-actions.center .alert {
	width:100%;
	}

ul.menu.center .alert,
ul.menu-actions.center .alert{
	text-align:center;
	width:100%;
	}

ul.menu.left,
ul.menu-actions.left {
	justify-content:flex-start;
	}

ul.menu.right,
ul.menu-actions.right {
	justify-content:flex-end;
	}




/* ------------------------------------
+  VERTICAL  /////////////////////////
-------------------------------------*/
ul.menu.vertical,
ul.menu-actions.vertical{
	align-items:flex-start;
	flex-flow:column wrap;
	}


ul.menu.vertical li ,
ul.menu-actions.vertical li {
	width:100%;
	}






/* Reset BUTTON
------------------------------*/
ul.menu-actions li.reset > *,
ul.menu-actions.small li.reset > * {
	background-color:transparent!important;
	border-radius:0px!important;
	color:var(--color-neutro)!important;
	font-size:0.6rem;
	height:auto!important;
	line-height:1em!important;
	min-width:0px!important;
	padding:0px 2px!important;
	text-transform:uppercase;
	transition:all 0.12s;
	width:100%;
	}








/*--------------------------------------------
BAR TOOLS /// ////////////////////////////////
-------------------------------------------*/
/* ////////////// SET: DISEÑO 
------------------------------*/
ul.bar-tools {
	border-bottom:1px solid var(--color-neutro-softer);
	border-top:1px solid var(--color-neutro-softer);
	color:var(--color-neutro);
	}




/* General
------------------------------*/
ul.bar-tools {
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	gap:6px;
	justify-content:flex-start;
	height:auto;
	list-style:none;
	margin:0px 0px;
	padding:6px 0px;
	width:100%;
	}



ul.bar-tools li{
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:flex-start;
	flex-grow:0px;
	height:auto;
	list-style:none;
	text-align: center;
	padding:0px;
	width:auto;
	}



ul.bar-tools li.grow{
	flex-grow:12;
	}




/* Font default
------------------------------*/
ul.bar-tools {
	font-size:var(--fs-medium);
	font-weight:var(--fw-normal);
	}



/* Title
------------------------------*/
ul.bar-tools li[data-element='title']{
	font-weight:var(--fw-bold);
	text-transform: uppercase;
	}


/* Text link
------------------------------*/
ul.bar-tools li[data-element='link'] a{
	color:inherit;
	background-color:transparent;
	font-weight:inherit;
	font-size:inherit;
	padding:inherit;
	text-decoration:none;
	text-transform:none;
	}

ul.bar-tools li[data-element='link'] a:hover{
	text-decoration:underline;
	}



/* Separator
------------------------------*/
ul.bar-tools li[data-element='separator']{
	background-color:var(--color-neutro-soft);
	height:14px;
	width:1px;
	}



/* Vertical
------------------------------*/
ul.bar-tools.vertical li{
	width:100%;
	}

ul.bar-tools.vertical li[data-element='separator']{
	height:1px;
	width:100%;
	}

ul.bar-tools.vertical li > *{
	min-width:160px;
	}

ul.bar-tools.vertical li[data-element='link'] a{
	min-width:auto;
	}



/*--------------------------------------------
MENU CATEGORIES  ////////////////////////////
-------------------------------------------*/
ul.menu-categories {
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:flex-start;
	gap:4px;
	height:auto;
	margin:0px 0px;
	padding:0px 0px;
	width:100%;
	}


ul.menu-categories li {
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:center;
	list-style:none;
	padding:0px;
	margin:0px;
	position:relative;
	width:auto;
	}


ul.menu-categories > li input[type=checkbox],
ul.menu-categories > li input[type=radio] {
	visibility: hidden;
	display: none;
	}


ul.menu-categories > li input[type=checkbox] + label,
ul.menu-categories > li input[type=radio] + label,
div.tab-box.categories > label {
	align-items:center;
	align-content:center;
	cursor:pointer;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	font-size:var(--fs-small);
	font-weight:var(--fw-normal);
	gap:2px;
	justify-content:flex-start;
	height:28px;
	letter-spacing:1px;
	line-height:28px;
	outline:0;
	padding:0px 8px;
	position:relative;
	margin:0px;
	text-decoration:none;
	transition:all 0.12s;
	text-transform:uppercase;
	width:auto;
	}




ul.menu-categories > li input[type=checkbox] + label,
ul.menu-categories > li input[type=radio] + label,
div.tab-box.categories > label  {
	background-color:var(--color-second-softer);
	border:1px solid var(--color-second-soft);
	color:var(--color-second-soft);
	border-radius:14px;
	}


/*  +  iconos
------------------------------*/
ul.menu-categories .svg-icon,
div.tab-box.categories > label .svg-icon {
	height:28px;
	margin:0px 0px 0px -8px;
	padding:4px;
	width:28px;
	}



/*  +  iconos
------------------------------*/
ul.menu-categories .svg-icon,
div.tab-box.categories > label .svg-icon {
	fill:var(--color-second-soft);
	}


/* Hover
------------------------------*/
ul.menu-categories > li input[type=checkbox] + label:hover,
ul.menu-categories > li input[type=radio] + label:hover,
div.tab-box.categories > label:hover {
	background-color:var(--color-second-soft);
	border:1px solid var(--color-second-soft);
	color:var(--color-white);
	}

ul.menu-categories > li input[type=checkbox] + label:hover .svg-icon,
ul.menu-categories > li input[type=radio] + label:hover .svg-icon,
div.tab-box.categories > label:hover .svg-icon {
	fill:var(--color-white);
	}


/* Checker
------------------------------*/
ul.menu-categories > li input[type=checkbox]:checked + label,
ul.menu-categories > li input[type=radio]:checked + label,
div.tab-box.categories > input:checked + label{
	background-color:var(--color-second);
	border:1px solid var(--color-second);
	color:var(--color-white-90);
	}

ul.menu-categories > li input[type=checkbox]:checked + label .svg-icon,
ul.menu-categories > li input[type=radio]:checked + label .svg-icon,
div.tab-box.categories > input:checked + label {
	fill:var(--color-white-70);
	}




/*--------------------------------------------
MENU SOCIAL BAR  ///////////////////////////
-------------------------------------------*/
ul.social-bar {
	color:inherit;
	font-size:0.8rem;
	}

ul.social-bar li{
	color:inherit;
	font-size:0.8rem;
	}


ul.social-bar li[data-element='separator']{
	height:16px;
	width:1px;
	}
	@media only screen and (max-width:620px) {
	ul.social-bar li[data-element='separator']{
	display:none;
	}}



/*-------------------------------------------------------------------------- 
ALERTS ////////////////////////////////////////////////////////////////////
--------------------------------------------------------------------------*/
.alert{
	color:var(--color-neutro);
	font-size:0.5rem;
	height:auto!important;
	margin:0px 0px;
	letter-spacing:0.6px;
	text-align:left;
	text-transform:uppercase;
	overflow:hidden;
	padding:0px 0px;
	width:auto;
	}



.alert.color-ok,
.alerterror {
	color:var(--color-ok);
	}

.alert.color-warning,
.alertok {
	color:var(--color-warning);
	}


/*-------------------------------------------------------------------------- 
INPUTS /////////////////////////////////////////////////////////////////////
--------------------------------------------------------------------------*/
input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel], 
input[type="text"]:focus,
textarea,
textarea:focus,
select:focus,
div.input,
div.input > span {
	background-color:var(--color-neutro-softer);
	border-radius:4px;
	outline:0px;
	}




/* ----------------------------------------
-----------------------------------BASE ---
-----------------------------------------*/
form {
	align-items:flex-start;
	border:0px;
	display:flex;
	flex-flow:row wrap;
	gap:var(--gap-inside-small);
	height:auto;
	justify-content:space-between;
	padding:0px;
	margin:0px;
	outline:0px;
	width:100%;
	}



input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel], 
textarea,
div.input > span{
	align-items:center;
	border:0px;
	display:flex;
	flex-flow:row wrap;
	flex-grow:9;
	justify-content:flex-start;
	padding:0px;
	position:relative;
	text-indent:10px;
	width:80%; 
	}



/* border radius
------------------------------*/
input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel], 
textarea,
div.input{
	
	}



/* input a la mitad
------------------------------*/
form label.title.split,
input.split,
.inputs-group > .item {
	width:40%;
	}



textarea {
	line-height:36px;
	min-height:200px; 
	}
	@media only screen and (max-width:1500px) {
	textarea{
	line-height:26px;
	min-height:140px; 
	}}



/* SET: Altura
------------------------------*/
input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel],
select,
div.input,
div.input > span,
div.input .svg-icon {
	height:60px;
	line-height:64px;
	}
	@media only screen and (max-width:1500px) {
	input[type=text],
	input[type=number],
	input[type=password],
	input[type=email],
	input[type=tel],
	select,
	div.input,
	div.input > span,
	div.input .svg-icon {
	height:40px;
	line-height:44px;
	}}
	@media only screen and (max-width:620px) {
	input[type=text],
	input[type=number],
	input[type=password],
	input[type=email],
	input[type=tel],
	select,
	div.input,
	div.input > span,
	div.input .svg-icon {
	height:50px;
	line-height:54px;
	}}



/* Set:Font
------------------------------*/
input[type=text],
input[type=number],
input[type=password],
input[type=email],
input[type=tel], 
textarea,
div.input > span,
::placeholder{
	font-size:var(--fs-medium)!important;
	font-weight:var(--fw-thin)!important;
	font-family:inherit!important;
	}





/* Labels
------------------------------*/
label.title{
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	flex-grow:9;
	gap:4px;
	height:18px;
	justify-content:flex-start;
	text-transform:uppercase;
	font-size:var(--fs-small);
	font-weight:var(--fw-normal);
	margin:4px 0px 2px 0px;
	text-align:left;
	width:100%;
	}


label.title .svg-icon{
	fill:var(--color-black);
	height:18px;
	margin:0px;
	width:18px;
	}






/* Placeholder
------------------------------*/
::placeholder {
	color:var(--color-neutro);
	}



/* div input
------------------------------*/
div.input {
	align-items: center;
	align-content: center;
	display:flex;
	flex-flow:row wrap;
	position:relative;
	overflow:hidden;
	width:100%;
	}



div.input .svg-icon{
	padding:10px;
	width:60px;
	}
	@media only screen and (max-width:1500px) {
	div.input .svg-icon{
	padding:8px;
	width:40px;
	}}
	@media only screen and (max-width:620px) {
	div.input .svg-icon{
	padding:8px;
	width:50px;
	}}




/* escondemos input submit para sustituirlo por label*/
input[type=submit],
input[type=button] {
	display:none;
	visibility:hidden;
	}

input[type=range] {
	width:100%;
	}









/* Checkbox, radio
------------------------------*/
div.checkbox-set {
	display:flex;
	flex-flow:row wrap;
	gap:var(--gap-inside);
	width:100%;
	}


div.checkbox-set input[type=checkbox],
div.checkbox-set input[type=radio] {
	visibility: hidden;
	display: none;
	}


/* label */
div.checkbox-set input[type=checkbox] + label,
div.checkbox-set input[type=radio] + label {
	align-items:center;
	cursor:pointer;
	display:flex;
	flex-flow:row wrap;
	justify-content:flex-start;
	height:auto;
	min-width:60%;
	padding:0px;
	margin:0px 0px;
	width:auto;
	}

/* cuadro - circle  */
div.checkbox-set input[type=checkbox] + label span,
div.checkbox-set input[type=radio] + label span{
	display:block;
	background-color:#fff;
	border:0px solid var(--color-neutro-soft);
	cursor: pointer;
	height:20px; 
	margin-right:10px;
	outline:1px solid var(--color-neutro-soft);
	position: relative;
	transition:all 0.1s;
	width:20px;
	}


div.checkbox-set input[type=checkbox] + label span {
	border-radius:2px;
	}

div.checkbox-set input[type=radio] + label span {
	border-radius:50%;
	}


/* hover */
div.checkbox-set input[type=checkbox] + label span:hover,
div.checkbox-set input[type=radio] + label span:hover{
	box-shadow:0px 0px 4px rgba(0, 0, 0, 0.6);
	}

/* checked */
div.checkbox-set input[type=checkbox]:checked + label span,
div.checkbox-set input[type=radio]:checked + label span{
	background-color:var(--color-ok);
	outline:1px solid var(--color-neutro-soft);
	}
div.checkbox-set input[type=checkbox]:checked + label span{
	border:0px solid var(--color-white);
	}
div.checkbox-set input[type=radio]:checked + label span{
	border:4px solid var(--color-white);
	}


/* texto */
div.checkbox-set input[type=checkbox] + label i,
div.checkbox-set input[type=radio] + label i{
	align-items:center;
	display:flex;
	flex-wrap:wrap;
	flex-direction:row;
	flex-grow:99;
	font-style: normal;
	height:20px;
	line-height:20px;
	overflow: hidden;
	text-overflow:ellipsis!important;
	white-space: nowrap!important;
	width:60px;
	}

/* icon */
div.checkbox-set input[type=checkbox] + label span .svg-icon{
	fill:transparent;
	height:20px;
	padding:2px;
	width:20px;
	}

div.checkbox-set input[type=checkbox]:checked + label span .svg-icon{
	fill:var(--color-white);
	}



/*--------------------------------------------
BUSCADOR /////////////////////////////////////
-------------------------------------------*/

/* Box search
------------------------------*/
div.box-search {
	display:flex;
	flex-direction:row;
	justify-content:flex-start;
	font-size:0.8rem;
	height:auto;
	width:100%;
	}


/* Form
------------------------------*/
div.box-search form{
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:nowrap;
	font-size:inherit;
	gap: 0px;
	justify-content:flex-start;
	height: auto;
	width:100%;
	}


/* input + button altura
------------------------------*/
div.box-search form input[type=search],
div.box-search form input[type=submit] + label{
	font-size:1em;
	height:38px;
	line-height:38px;
	outline:0px;
	}
	@media only screen and (max-width:1500px) {
	div.box-search form input[type=search],
	div.box-search form input[type=submit] + label{
	height:28px;
	line-height:28px;
	}}
	@media only screen and (max-width:620px) {
	div.box-search form input[type=search],
	div.box-search form input[type=submit] + label{
	height:38px;
	line-height:38px;
	}}




/* tall
------------------------------*/
div.box-search.tall form input[type=search],
div.box-search.tall form input[type=submit] + label{			
	font-size:1.1em;
	height:48px;
	line-height:48px;
	}
	div.box-search.tall form input[type=search]  {
	border-radius:24px;	
	}

	@media only screen and (max-width:1500px) {
	div.box-search.tall form input[type=search],
	div.box-search.tall form input[type=submit] + label{
	height:38px;
	line-height:38px;
	}
	div.box-search.tall form input[type=search]  {
	border-radius:19px;	
	}}
	@media only screen and (max-width:620px) {
	div.box-search.tall form input[type=search],
	div.box-search.tall form input[type=submit] + label{
	height:42px;
	line-height:42px;
	}
	div.box-search.tall form input[type=search]  {
	border-radius:21px;	
	}}






/* SET:  DESIGN
------------------------------*/
div.box-search form input[type=search] {
	background-color:var(--color-neutro-softer);
	border:1px solid var(--color-neutro-soft);
	border-radius:19px;
	color:var(--color-neutro-dark);
	margin:0px!important;
	padding:0px 10px;
	width:100%;
	/*puntos suspensivos*/
	overflow: hidden;
	text-overflow:ellipsis;
	white-space:nowrap;
	}
	@media only screen and (max-width:1500px) {
	div.box-search form input[type=search]{
	border-radius:14px;
	}}
	@media only screen and (max-width:620px) {
	div.box-search form input[type=search]{
	border-radius:19px;
	}}


/* input search  */
div.box-search input.search[type=search] {
	border-radius:19px 0px 0px 19px;
	border-right:0px solid var(--color-neutro-dark)!important;
	} 
	@media only screen and (max-width:1500px) {
	div.box-search input.search[type=search]{
	border-radius:14px 0px 0px 14px;
	}}
	@media only screen and (max-width:620px) {
	div.box-search input.search[type=search]{
	border-radius:19px 0px 0px 19px;
	}}




/* Botón */
div.box-search form input[type="submit"]{
	visibility: hidden;
	display:none;
	}
div.box-search input[type=submit] + label{
	align-items:center;
	display:flex;
	background-color:var(--color-neutro);
	border:1px solid var(--color-neutro-dark);
	border-radius:0px 19px 19px 0px;
	cursor:pointer;
	flex-direction:row;
	justify-content:space-between;
	margin:0px!important;
	padding:0px 6% 0px 3%;
	width:auto;
	}
	@media only screen and (max-width:1500px) {
	div.box-search input[type=submit] + label{
	border-radius:0px 14px 14px 0px;
	}}
	@media only screen and (max-width:620px) {
	div.box-search input[type=submit] + label{
	border-radius:0px 19px 19px 0px;
	}}

div.box-search input[type=submit] + label span {
	color:var(--color-white);
	font-size:1em;
	font-weight:500;
	width:auto;
	}
div.box-search input[type=submit] + label .svg-icon {
	height:28px;
	fill:var(--color-white);
	padding:2px;
	width:28px;
	}
	@media only screen and (max-width:1500px) {
	div.box-search input[type=submit] + label .svg-icon{
	height:22px;
	padding:2px;
	width:22px;
	}}


/*---------------------------------
/// SELECT ///
----------------------------------*/
div.select{
	font-size:var(--fs-medium);
	}


div.select {
	align-items:center;
	display:flex;
	flex-direction:row;
	flex-wrap:wrap;
	justify-content:flex-start;
	border-radius:4px;
	background-color:var(--color-white);
	border:1px solid var(--color-neutro-soft);
	font-weight:var(--fw-normal);
	margin:0px;
	padding:0px;
	position:relative;
	text-align:left;
	width:100%;
	}



div.select,
div.select:after,
div.select select {
	height:36px;
	line-height:36px;
	} 




div.select select{
	background-color:transparent;
	border:0px;
	border-radius:0px;
	display:block;
	color:inherit;
	margin:0px;
	outline:none;
	overflow: hidden;
	text-shadow: none;
	text-align:left!important;
	text-indent:6px;
	-webkit-appearance:none!important;
	-moz-appearance: none!important;
	appearance: none!important;
	width:100%;
	}

div.select:after {
	color:inherit;
	content: "▼";
	position: absolute;
	top:0;
	right: 0;
	bottom:0;
	font-size:12px;
	margin:0px;
	padding:0px 10px;	
	pointer-events:none;
	}

div.select select option{
	border:0px!important;
	box-shadow: 0px;
	height: auto;
	margin:0px;
	outline:none;
	text-align:left!important;
	width:100%;
	}

/* Option: small
------------------------------*/
div.select.small {
	font-size:var(--fs-medium);
	}


div.select.small,
div.select.small:after,
div.select.small select {
	height:30px;
	line-height:30px;
	} 



/* Option: Half
------------------------------*/
div.select.half{
	margin:5px 0px 15px 1%;
	float:right;
	width:49%!important; 
	}
	@media only screen and (max-width:620px) {
	div.select.half{
	margin:5px 0px 5px 0%;
	/*float: left;*/
	width:100%!important; 
	}}



div.select.half:first-child{
	float:left;
	margin:5px 1% 15px 0%; 
	}
	@media only screen and (max-width:620px) {
	div.select.half:first-child{
	margin:5px 0% 5px 0%; 
	}}


/*---------------------------------
/// SELECT BUTTON ///
----------------------------------*/
div.select-button {
	align-items:center;
	border:1px solid blue;
	display:flex;
	flex-flow:row wrap;
	font-size:inherit;
	height:40px;
	margin:0px;
	padding:0px;
	position:relative;
	width:40px;
	}

div.select-button .svg-icon{
	height:40px;
	width:40pxx;
	}


div.select-button select{
	appearance: none!important;
	background-color:transparent;
	border:0px;
	border-radius:0px;
	color:inherit;
	display:block;
	height:40px;
	margin:0px;
	outline:none;
	overflow: hidden;
	text-shadow: none;
	text-align:left!important;
	text-indent:6px;
	-webkit-appearance:none!important;
	-moz-appearance: none!important;
	min-width:100%;
	width:auto;

	position:absolute;
	top:0px;
	left:0px;
	}



div.select-button select option{
	background-color:transparent!important;
	border:0px!important;
	box-shadow: 0px;
	height: auto;
	margin:0px;
	outline:none;;
	width:auto;
	z-index:9;
	}


/*--------------------------------------------
ENABLE DISABLE //////////////////////////////
-------------------------------------------*/
/* Normal
------------------------------*/

input[type=checkbox].btn-enable-disable + label {
	border-radius:11px;
	height:28px;
	width:56px;
	}
input[type=checkbox].btn-enable-disable + label span{
	height:28px;
	width:28px;
	}
input[type=checkbox]:checked.btn-enable-disable+ label span{
	transform:translateX(28px);
	}



/* Medium
------------------------------*/

input[type=checkbox].btn-enable-disable.medium + label {
	border-radius:11px;
	height:22px;
	width:44px;
	}
input[type=checkbox].btn-enable-disable.medium + label span{
	height:22px;
	width:22px;
	}
input[type=checkbox]:checked.btn-enable-disable.medium + label span{
	transform:translateX(22px);
	}



/* Small
------------------------------*/

input[type=checkbox].btn-enable-disable.small + label {
	border-radius:9px;
	height:18px;
	width:36px;
	}
input[type=checkbox].btn-enable-disable.small + label span{
	height:18px;
	width:18px;
	}
input[type=checkbox]:checked.btn-enable-disable.small + label span{
	transform:translateX(18px);
	}


/* Base
------------------------------*/
input[type=checkbox].btn-enable-disable {
	display:none;
	visibility: hidden;
	}

input[type=checkbox].btn-enable-disable + label {
	align-items:center;
	background-color:var(--color-neutro-softer);
	border-radius:16px;
	outline:1px solid var(--color-neutro-softer);
	display:flex;
	flex-flow:row wrap;
	cursor:pointer;
	transition:all 0.25s;
	}
input[type=checkbox]:checked.btn-enable-disable + label {
	background-color:var(--color-ok);
	outline:1px solid var(--color-ok);
	}

input[type=checkbox].btn-enable-disable + label span{
	background-color:var(--color-white);
	border:1px solid var(--color-neutro-softer);
	border-radius:50%;
	display:block;
	transform: translateX(0px);
	transition:all 0.15s;
	}
